Delete Agent Tool
curl --request DELETE \
--url https://api.ravan.ai/api/v1/tools/{id}/ \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.ravan.ai/api/v1/tools/{id}/"
headers = {"X-Api-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.ravan.ai/api/v1/tools/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Request completed successfully"
}
Agent Tool API
Delete Agent Tool
Delete Agent Tool.
DELETE
/
api
/
v1
/
tools
/
{id}
/
Delete Agent Tool
Authorizations
string
required
Your Agni API key used to authenticate the request. Pass it in the
X-Api-Key header. Find or rotate it from your Ravan AI account settings.Path Parameters
string
required
The unique ID of the resource in the path. Use the ID returned by the related create or list endpoint.
Response
boolean
Whether the request succeeded.
string
Human-readable status message.
{
"success": true,
"message": "Request completed successfully"
}
⌘I

